Package classycle.dependency

# Class ResultRenderer

java.lang.Object
classycle.dependency.ResultRenderer

Direct Known Subclasses:
  `DefaultResultRenderer`, `XMLResultRenderer`

public abstract class ResultRenderer extends Object
Renderer for dependency checks.

Author:
  Franz-Josef Elmer

## Field Summary

Fields
Modifier and Type
Field
Description
`protected boolean`
`_shortestPaths`

## Constructor Summary

Constructors
Constructor
Description
`ResultRenderer()`

## Method Summary

Modifier and Type
Method
Description
`abstract void`
`considerPreference(Preference preference)`
`abstract Result`
`getDescriptionOfCurrentPreferences()`
`abstract PreferenceFactory`
`getPreferenceFactory()`
`boolean`
`onlyShortestPaths()`
`abstract String`
`render(Result result)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### _shortestPaths

protected boolean _shortestPaths

## Constructor Details

### ResultRenderer

public ResultRenderer()

## Method Details

### onlyShortestPaths

public boolean onlyShortestPaths()

### getPreferenceFactory

public abstract PreferenceFactory getPreferenceFactory()

### considerPreference

public abstract void considerPreference(Preference preference)

### getDescriptionOfCurrentPreferences

public abstract Result getDescriptionOfCurrentPreferences()

### render

public abstract String render(Result result)